> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/location/describezones.md).

# DescribeZones

## 1. API Description

This API (DescribeZones) is used to query availability zones available.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                    |
| -------------- | -------- | --------------- | ------------------------------ |
| zoneIds        | No       | Array of String | List of availability zone IDs. |

## 3. Output Parameters

| Parameter Name | Type                                                                      | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                    | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| zoneSet        | Array of [ZoneInfo](/api-reference/compute/zec/datastructure.md#zoneinfo) | Information on availability zones.                                                                                    |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the available zone list.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeZones
<Common Request Params>

Request:
{
  "zoneIds": [
    "sa-north-1a",
    "asia-east-1a"
  ]
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "zoneSet": [
      {
        "zoneId": "sa-north-1a",
        "zoneName": "sa-north-1a",
        "regionId": "sa-north-1",
        "supportSecurityGroup": true,
        "supportHaVip": false,
        "timeZone": "Europe/Istanbul",
        "cityName": "Bogota",
        "cityCode": "BOG",
        "countryCode": "CO",
        "countryName": "Colombia"
      },
      {
        "zoneId": "asia-east-1a",
        "zoneName": "asia-east-1a",
        "regionId": "asia-east-1",
        "supportSecurityGroup": true,
        "supportHaVip": true,
        "timeZone": "Asia/Shanghai",
        "cityName": "Shanghai",
        "cityCode": "SHA",
        "countryCode": "CN",
        "countryName": "China"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
